/*
Copyright 2006 Frank van der Loo

This file is part of Paratim.

Paratim is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Paratim is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Paratim; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef BULLET_H
#define BULLET_H

#include <iostream>
#include "SDL.h"
#include "sprite.h"
#include "chopper.h"
#include "trooper.h"
#include "plane.h"
#include "bomb.h"

class bullet : public sprite
{
	private:
		int angle;
		double x_direction, y_direction;
		double ddstx, ddsty;
		bool end;

	public:
		bullet(/*char *file*/);
		double get_x_dir() { return x_direction; }
		double get_y_dir() { return y_direction; }
		void set_x_dir(double x) { x_direction = x; }
		void set_y_dir(double y) { y_direction = y; }
		bool getEnd() { return end; }
		void hit() { end = true; }
		void move(double x_direction, double y_direction);
		bool hits(chopper *chop);
		int hits(trooper *troop);
		bool hits(plane *airplane);
		bool hits(bomb *plane_bomb);
};
#endif
