#include "menu.h"
#include "txt2sdl.h"

menuItem::menuItem(string n, bool s=false)
{
	name = n;
	selected = s;
}

unsigned int menu::getSelectedIndex()
{
	for (unsigned int i=0;i<theMenu.size();i++)
	{
		if (theMenu[i].getSelected())
		{
			return i;
		}
	}
	return -1;
}

void menu::show(SDL_Surface *screen, SDL_Surface *chars, int x, int y)
{
	SDL_Rect menuRect, selectionRect;
	menuRect.x = x;
	menuRect.y = y;
	menuRect.w = 300;
	menuRect.h = theMenu.size() * 200;

	selectionRect.x = menuRect.x;
	selectionRect.y = menuRect.y + (getSelectedIndex() * 50);
	selectionRect.w = menuRect.w;
	selectionRect.h = 50;

	SDL_FillRect(screen, &menuRect, SDL_MapRGB(screen->format, 0, 0, 0));
	for (unsigned int i=0;i<theMenu.size();i++)
	{
		if (theMenu[i].getSelected())
		{
			SDL_FillRect(screen, &selectionRect, SDL_MapRGB(screen->format, 255, 0 , 0));
		}
		txt2sdl(theMenu[i].getName(), x, y, chars, screen);
		y+=50;
	}
}

void menu::up()
{
	if (getSelectedIndex() != 0)
	{
		int index = getSelectedIndex();
		theMenu[index].setSelected(false);
		theMenu[index-1].setSelected(true);
	}
}

void menu::down()
{
	if (getSelectedIndex() != theMenu.size()-1)
	{
		int index = getSelectedIndex();
		theMenu[index].setSelected(false);
		theMenu[index+1].setSelected(true);
	}
}

string menu::getChoice()
{
	return theMenu[getSelectedIndex()].getName();
}

menu create_main_menu()
{
	menu mainMenu;
	menuItem play("NEW GAME", true);
	menuItem quit("QUIT");
	mainMenu.add(play);
	mainMenu.add(quit);
	return mainMenu;
}
