/*
Copyright 2006 Frank van der Loo

This file is part of Paratim.

Paratim is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Paratim is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Paratim; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef PLANE_H
#define PLANE_H

#include "sprite.h"

class plane: public sprite
{
	private:
		int points;
		int bombdrop_x;
		bool end;
		Direction dir;
	
	public:
		plane(Direction d);
		int getPoints() { return points; }
		bool getEnd() {return end;};
		void hit(SDL_Surface *screen);
		void move(SDL_Surface *screen);
		bool drop_bomb();
};

int get_num_of_planes();
void set_planes(plane *planes[], int num_of_planes);

#endif
